Chapter 5. The High Availability add-on

The High Availability add-on provides on-demand failover services between nodes within a cluster. The add-on is available with a separate subscription. For details, see the Support Policies for RHEL High Availability Clusters.

The following table lists all the packages available with the High Availability add-on along with their license.

PackageLicense

awscli

ASL 2.0 and MIT

booth

GPLv2+

booth-arbitrator

GPLv2+

booth-core

GPLv2+

booth-site

GPLv2+

booth-test

GPLv2+

clufter-bin

GPLv2+

clufter-cli

GPLv2+

clufter-common

GPLv2+

clufter-lib-ccs

GPLv2+

clufter-lib-general

GPLv2+

clufter-lib-pcs

GPLv2+

corosync

BSD

corosync-qdevice

BSD

corosync-qnetd

BSD

corosynclib-devel

BSD

fence-agents-aliyun

GPLv2+ and LGPLv2+ and ASL 2.0 and BSD and MIT

fence-agents-aws

GPLv2+ and LGPLv2+

fence-agents-azure-arm

GPLv2+ and LGPLv2+

fence-agents-gce

GPLv2+ and LGPLv2+

libknet1

LGPLv2+

libknet1-compress-bzip2-plugin

LGPLv2+

libknet1-compress-lz4-plugin

LGPLv2+

libknet1-compress-lzma-plugin

LGPLv2+

libknet1-compress-lzo2-plugin

LGPLv2+

libknet1-compress-plugins-all

LGPLv2+

libknet1-compress-zlib-plugin

LGPLv2+

libknet1-crypto-nss-plugin

LGPLv2+

libknet1-crypto-openssl-plugin

LGPLv2+

libknet1-crypto-plugins-all

LGPLv2+

libknet1-plugins-all

LGPLv2+

libnozzle1

LGPLv2+

pacemaker

GPLv2+ and LGPLv2+

pacemaker-cli

GPLv2+ and LGPLv2+

pacemaker-cts

GPLv2+ and LGPLv2+

pacemaker-doc

CC-BY-SA-4.0

pacemaker-libs-devel

GPLv2+ and LGPLv2+

pacemaker-nagios-plugins-metadata

GPLv3

pacemaker-remote

GPLv2+ and LGPLv2+

pcs

GPLv2 and ASL 2.0 and MIT

pcs-snmp

GPLv2 and BSD-2-Clause

python3-azure-sdk

MIT and ASL 2.0 and MPLv2.0 and BSD and Python

python3-boto3

ASL 2.0

python3-botocore

ASL 2.0

python3-clufter

GPLv2+ and GFDL

python3-fasteners

ASL 2.0

python3-gflags

BSD

python3-google-api-client

ASL 2.0

python3-httplib2

MIT

python3-oauth2client

ASL 2.0

python3-s3transfer

ASL 2.0

python3-uritemplate

BSD

resource-agents

GPLv2+ and LGPLv2+

resource-agents-aliyun

GPLv2+ and LGPLv2+ and ASL 2.0 and BSD and MIT

resource-agents-gcp

GPLv2+ and LGPLv2+ and BSD and ASL 2.0 and MIT and Python

spausedd

BSD